function main()
{
  var app = System.GetInterface('Application');
  var Model = app.Models.GetObject(0);
  //... parameter in GetObject determines with which model the script should work.
  //0 = first model listed in the Application View, 1 = second model listed in the Application View etc.

  for (e=0; e<Model.Entities.Count; e++)
  {
    Entity = Model.Entities.GetObject(e);
    count = 0;
    for (a=0; a<Entity.Attributes.Count; a++)
    {
      Attribute = Entity.Attributes.GetObject(a);
      count++; 
      if (Attribute.NotNull)
      {
        ConstraintNotNullName = "NN_" + Entity.Name;
        SumLength = ConstraintNotNullName.length + 1 + count.toString().length;
        if (SumLength > 30)
          ConstraintNotNullName = ConstraintNotNullName.substr(0,30-(count+1));
        ConstraintNotNullName = ConstraintNotNullName + "_" + count.toString();
        Attribute.ConstraintNotNullName = ConstraintNotNullName; //change name of index
        Log.Information("NotNull Constraint Name of attribute "+Attribute.Name+" in entity "+Attribute.Owner.Name+" was changed.");
      }
    }
  }
}
